Что я вложу в файл требований к пакетам для пакета не в pypi

Я установил python google visualization api в свой virtualenv с помощью

pip install -U -f http://code.google.com/p/google-visualization-python/ gviz-api-py 

Что мне нужно, чтобы вставить файл требований pip.txt, чтобы Heroku мог его загрузить и установить?

3 Solutions collect form web for “Что я вложу в файл требований к пакетам для пакета не в pypi”

Попробуйте использовать следующее в ваших requirements.txt :

 -e svn+http://google-visualization-python.googlecode.com/svn/trunk#egg=google-visualization-python 

ИЛИ

 -e svn+http://google-visualization-python.googlecode.com/svn/trunk@26#egg=gviz_api.py-1.8.2-py2.7-dev_r26 

Узнайте об установке с VCS с помощью pip.

Это должно сделать это:

 https://github.com/google/google-visualization-python/zipball/master 

Это установит gviz-apy.py

Согласно сообщению об ошибке

Получение gviz-api.py из svn + http://google-visualization-python.googlecode.com/svn/trunk@26#egg=gviz_api.py-1.8.2-py2.7-dev_r26 (из -r requirements.txt (строка 6)) Проверка http://google-visualization-python.googlecode.com/svn/trunk (до версии 26) на ./.heroku/src/gviz-api.py Не удается найти команду 'svn'

даже svn не допускается.

В этом случае получите исходный код из googlecode в каталог проекта и добавьте .svn dirs в .gitignore . Или создайте вилку на github и работайте с ней.

Но до того, как клонирование в github прочитало http://www.apache.org/licenses/LICENSE-2.0, я не знаю, разрешено ли такое перемещение.

  • Команда pip3: команда не найдена, но python3-pip уже установлен
  • pip install pygraphviz: пакет libcgraph не найден
  • Установка модуля python в код
  • Ускорение виртуального создания с помощью numpy и pandas
  • Pip не удаляет исходный код после успешной сборки
  • Замораживание трубопровода только для требований к проекту
  • pip install на virtualenv не удается построить колесо для криптографии и cffi
  • Какие части API PyPI фактически используются клиентами?
  • Python - лучший язык программирования в мире.